<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 10</title>
	<script type="text/javascript">
		let Animal=function(){
			this.nombrePadre="soy el padre";
		};

		let Leon=function(){
			this.nombreHijo="soy el hijo";
		};

		Leon.prototype=new Animal;

		let objetoPadre=new Animal();
		let objetoHijo=new Leon();

		console.log(objetoPadre.nombrePadre);
		console.log(objetoHijo.nombrePadre);
		console.log(objetoHijo.nombreHijo);
	</script>
</head>
<body>
	
</body>
</html>